function getFirebirdTinderboxStatus() {
  var request = new XMLHttpRequest();
  request.onload = displayFirebirdTinderboxStatus;
  request.open("GET", "http://tinderbox.mozilla.org/Phoenix/panel.html");
  request.send(null);
  window.setTimeout(getFirebirdTinderboxStatus, 60000);
}

function displayFirebirdTinderboxStatus(evt)
{
  var request = evt.target;

  // Change the background color of the box depending to reflect build status.
  var box = document.getElementById('tinderstatus_firebird-box');
  if (request.responseText.match("EE0000"))
    box.setAttribute("buildstatus", "busted");
  else if (request.responseText.match("FFAA00"))
    box.setAttribute("buildstatus", "testfailed");
  else if (request.responseText.match("11DD11"))
    box.setAttribute("buildstatus", "success");
  else
    box.setAttribute("buildstatus", "");
}

// Check the status a second after the browser loads.
window.setTimeout(getFirebirdTinderboxStatus, 1000);
